Mostrar Mensajes

Esta sección te permite ver todos los mensajes hechos por este usuario, recuerda que solo puedes ver los mensajes en áreas en donde tu tienes acceso.


Temas - erwin.stangholzer

Páginas: [1]
1
Hola, buenos dias. Actualizamos desde guarani 3.18.1 hacia la version 3.19.1 en un servidor de desarrollo. Estamos probando que ande todo normalmente, y nos encontramos con un error. En autogestion (g3w) al entrar como un alumno y dirigirnos hacia Inscripcion a Materias no se puede entrar a esa interfaz y en la parte inferior indica un error.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clase: SIU\Chulupi\ErrorKernelDb
mensaje: SQL ERROR: SQLSTATE[42883]: Undefined function: 7 ERROR:  function get_mayor(timestamp with time zone, timestamp with time zone) does not exist
LINE 12: ... sga_periodos_inscripcion_fechas.fecha_inicio AND get_mayor(...
                                                              ^
HINT:  No function matches the given name and argument types. You might need to add explicit type casts.
SELECT
                    sga_periodos_inscripcion_fechas.fecha_inicio as periodo_activo_vigente
      FROM sga_periodos_inscripcion_aplanado
      JOIN sga_periodos_inscripcion_fechas ON sga_periodos_inscripcion_fechas.periodo_insc = sga_periodos_inscripcion_aplanado.periodo_insc
      JOIN sga_periodos_inscripcion ON sga_periodos_inscripcion.periodo_inscripcion = sga_periodos_inscripcion_fechas.periodo_inscripcion
      JOIN sga_periodos ON sga_periodos.periodo = sga_periodos_inscripcion.periodo
      JOIN sga_periodos_genericos ON sga_periodos_genericos.periodo_generico = sga_periodos.periodo_generico
      WHERE sga_periodos_inscripcion_aplanado.plan_version = '101'
                    AND sga_periodos_inscripcion_fechas.habilitado = 'S'
                    AND sga_periodos_inscripcion_fechas.habilitado_interfaz in (0,2)
                    AND sga_periodos_genericos.periodo_generico_tipo = 1 -- Periodos Lectivos.
                    AND CURRENT_TIMESTAMP BETWEEN sga_periodos_inscripcion_fechas.fecha_inicio AND get_mayor(sga_periodos_inscripcion_fechas.fecha_fin, sga_periodos_inscripcion_fechas.fecha_tope_bajas)
                LIMIT 1;
traza: [TRAZA]

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Lo que nos indica que no se encuentra esa funcion llamada get_mayor con esos argumentos.
Eso nos llevó a este post: https://foro.comunidad.siu.edu.ar/index.php?topic=21089.msg94051#msg94051
Por lo que buscamos el archivo get_mayor.sql y lo corrimos en la DB de desarrollo. Retornando exitosamente creando la funcion.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

CREATE OR REPLACE FUNCTION get_mayor(pValor1 anyelement, pValor2 anyelement)
RETURNS anyelement AS
$BODY$
BEGIN
 IF pValor1 > pValor2 THEN
   RETURN pValor1;
 ELSE
   RETURN pValor2;
 END IF;
END;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;
-- ++++++++++++++++++++++++++++++ Fin Function  +++++++++++++++++++++++++++++++++

-- REVOKE EXECUTE ON FUNCTION get_mayor (anyelement, anyelement) FROM public;
GRANT EXECUTE ON FUNCTION get_mayor (anyelement, anyelement) to public;
/*
select * from get_mayor(current_timestamp , now());
select * from get_mayor(2 , 5);
select * from get_mayor('a'::varchar, 'b'::varchar);
*/

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Sin embargo el error sigue persistiendo. Tendra que ver con alguna cache? Aun asi, por ejemplo, al probar la consulta del error en la base misma, tambien se sigue mostrando el error.

Por otro lado, habrá algo que hicimos mal? Es bastante raro que falte una función si durante el proceso de migración de la DB no hubo errores. Es acaso un bug conocido?

2
Buenos días. Tenemos el caso de una docente en particular que aparece correctamente en la operación Administrar Personas pero no aparece en la operación (reporte) Ficha de la Persona.

Tengo entendido que el único requisito necesario para tener a alguien en Ficha de la Persona, es justamente tenerlo cargado en Administrar Personas.

Tal vez habrá algo en las consultas SQL internas que hace un filtro adicional. Nos ayudaria mucho saber que datos verificar que existan en la base de datos para esa persona en especifico, y asi lograr que sea como todas las demás personas que se muestran sin problemas.

Desde ya, muchas gracias.

Datos de contexto
Version de SIU Guarani: 3.18.1
Usuario utilizado: toba (perfil funcional: Administrador del Sistema) (perfiles de datos del perfil funcional: ninguno)

3
Buenos dias. Nos sucede que algunas personas particulares no aparecen en la operación de SUI Guarani Gestion Administrar personas ni en Administrar docentes. Sin embargo si que las encontramos en la base de datos sin problemas, junto con sus perfiles funcionales y todos sus datos. Intentamos investigar si había alguna diferencia dentro de la DB comparando a una persona que no aparece en las operaciones con una persona que si aparece, y aun no encontramos ninguna anomalía en los datos. Mientras tanto vamos a seguir investigando. Pero nos preguntabamos si esto se debe a algun bug tal vez.

Desde ya muchas gracias. Version de SIU Guarani 3.18.1

4
Hola. Buenos dias. Estamos instalando en un servidor de pruebas la demo del SIU Arai mediante docker, previo a intentar instalar la versión completa.

Al llegar al comando docker-compose up dentro de la carpeta descomprimida. nos tira el siguiente error:



Pulling idp (hub.siu.edu.ar:5005/siu-arai/arai-usuarios/idp:v3.1.1)...
v3.1.1: Pulling from siu-arai/arai-usuarios/idp
21c83c524219: Extracting [==================================================>]  2.796MB/2.796MB
ea322363034a: Download complete
68d050a21042: Download complete
e096894353d6: Download complete
f21c8816ac07: Download complete
2d3df3a83013: Download complete
4f4fb700ef54: Download complete
39fc72fb14d8: Download complete
010a40e25600: Download complete
4fb3200f7342: Download complete
ERROR: failed to register layer: ApplyLayer exit status 1 stdout:  stderr: remount /, flags: 0x84000: permission denied



Estuvimos investigando ese error por nuestra cuenta y no llegamos a ninguna conclusión aun. A alguno de ustedes les ha pasado? A que se puede deber?

5
Araí - Instalación / Confusion siguiendo la guia de instalacion
« on: Abril 19, 2021, 01:25:20 pm »
En la siguiente pagina de documentacion https://documentacion.siu.edu.ar/wiki/SIU-Arai/Requerimientos en la seccion Requerimientos del servidor de aplicaciones indica que para PHP 7.1 se requiere usar la version 2.0.0 a 2.1.x de SIU-Arai: Registry.

Entonces voy a la siguiente pagina para instalar SIU-Arai: Registry con esa version indicada . La instalacion mediante docker parece no tener documentacion, entonces me voy a la instalacion manual https://hub.siu.edu.ar/siu-arai/arai-registry/-/blob/master/doc/install/INSTALACION_MANUAL.md.

Para ejecutar el comando: git clone --branch <VERSION> https://hub.siu.edu.ar/siu-arai/arai-registry.git
Debo cambiar <VERSION> por la version que necesite, sin embargo el comando no funciona escribiendo la version 2.1.3 que encontré en https://hub.siu.edu.ar/siu-arai/arai-registry/-/tags.

El comando si que funciona utilizando master pero la version actual en master es la 2.3.0. Volviendo a la documentacion del principio de este post. En esa pagina la ultima version utilizable que aparece es la 2.1.3 o mejor dicho 2.1.x.

Las guias de instalacion y los requisitos me confunden y parecen no concordar.
Hay algo que no estoy interpretando bien sobre las versiones quizas?

6
Hola. Estoy haciendo una personalización en la solapa Inscripción a Exámenes dentro de g3w 3.18.1. La idea es mostrar un cartel de aviso solamente cuando la propuesta seleccionada en el dropbox de la esquina superior derecha, sea el curso de ingreso.

El archivo a personalizar seria el siguiente: .../operaciones/examen/info_materia_examen/default.twig
Agregandole el siguiente codigo hipotético:
 
...
{% if id_de_la_propuesta_seleccionada == x %}
     <div class='alert alert-info'>
     <h3> TITULO </h3>
         Información importante
     </div>
 {% endif %}
...

La pregunta es si hay un parámetro que sea accesible por defecto en ese archivo de vista que me indique la propuesta seleccionada para poder usar ese if tan bonito y simple.
De otro modo tendría que agregar ese parámetro nuevo personalizando el archivo controlador de esa vista.

Muchas gracias de antemano.

7
Técnicos Mapuche / Tabla de provincias en la base de datos de mapuche.
« on: Noviembre 11, 2020, 09:18:31 pm »
Hola. Estoy extrayendo algunos datos sobre los docentes desde la Base de Datos de Mapuche. Y tuve un inconveniente con el domicilio.

...
dha1.calle || ' ' || dha1.numero || ', ' || dha4.desc_localidad as domicilio
...

Hasta ahi tendria: Calle + Altura + Ciudad

Pero no logro encontrar una tabla en la que estén listadas todas las provincias.
En dha1, dha4 y reper06 hay un campo llamado codigo_provincia. El cual tiene, segun parece, como tabla principal la dha4 . Pero desde ésta ultima tabla, en el campo desc_localidad solo esta la Ciudad. Y el codigo_provincia solo es una letra. Deberia haber por algun lugar alguna tabla con todas las provincias segun tengo entendido. De la cual pueda sacar el nombre de las provincias y así completar el campo domicilio.

La versión de Mapuche que estamos utilizando es la 3.6.0

8
Hola. Me urge encontrar la tabla en la base de datos de mapuche que almacena los valores descriptivos que puede tomar el dato Dependencia Desempeño que se carga dentro de un cargo de un legajo.

En la base de datos encontré la columna llamada coddependesemp (la cual parece contener la id del dato que busco) en las tablas dh03 dh09 dh36 dh53. Pero no encontré la tabla con el listado de descripciones a la que se hace referencia con ese campo. En donde por ejemplo, una de esas descripciones es 6 - Dpto Cs. Basicas.

Hay alguien que pueda darme una mano para entender las conexiones de las tablas y encontrar lo que estoy rastreando?

La versión de SIU Mapuche que utilizamos es la 3.6.0

9
Preinscripción / Descripciones de campo de estado
« on: Agosto 14, 2020, 11:33:44 am »
Buenos días. Nos urge conocer el significado de cada valor posible en las siguientes columnas:

sga_preinscripcion.estado
sga_preinscripcion_propuestas.estado

En la documentación de la Wiki SIU ( https://documentacion.siu.edu.ar/wiki/Inicio )no encontramos esa información por el momento.

Actualmente estamos utilizando la versión 3.10.0 del modulo de preinscripcion.

10
Técnicos / Error en unidades de gestion luego de actualizar a la 3.17.0
« on: Diciembre 03, 2019, 12:33:09 pm »
Buenos días. Estuvimos actualizando el guaraní a la versión 3.17.0 en nuestro servidor de desarrollo. Al entrar a administrar/editar una unidad de gestión dentro de Guaraní - Gestión, nos tira un cartel de error:

No se puede desactivar el ef "tehuelche_unidad_gestion" ya que no se encuentra en la lista de efs activos

En nuestra institución no tenemos implementado el tehuelche.

Desde ya muchas gracias!
Esperamos su pronta respuesta.

11
Buenos dias!
Al actualizar de la version 4.1.0 a la 4.3.0, en un momento nos indica un error que detalla:

[ERROR] No se pudo generar el autoload porque existen clases repetidas.                                               
           Ejecute el comando de autoload con la opción -v para más información.


La pregunta seria de que manera podemos ejecutar ese comando de autoload con la opcion -v. (o seria realizar la actualizacion agregandole -v, -vv o -vvv ?)
NOTA: Nosotros no desarrollamos personalizaciones en Kolla.

----------------------------------------------------------

Luego del error de autoload decidimos continuar con la actualización. Y una vez finalizada y negando hacia la URL, nos pone un mensaje por encima del login:

45% Complete
Procesando. Por favor aguarde...


Pensamos que tiene algo que ver con el error del autoload, ya que ademas de aparecer ese mensaje, la interfaz en si, está desordenada y solapada en varios componentes, como si le faltara parcialmente el CSS.

----------------------------------------------------------

Pero mas allá de todo eso, probamos loguearnos y funciona. Así que nomas queda solucionar lo del autoload.

Esperamos su pronta respuesta.
Desde ya muchas gracias!

12
Técnicos Pentaho / Pentaho Initialization Exception
« on: Septiembre 30, 2019, 12:37:47 pm »
Hola, buenos dias!
Estamos realizando la instalación de SIU-Wichi en un servidor según la siguiente guía:

https://docs.google.com/document/d/13ZtZd9ayzAIqdvYLPvIxw-9PJ6sfHX1IbWQJpq8Tz80/edit#

Llegando al punto 2.2.9. Probar la instalación corriendo el comando sudo -u pentaho ./start-pentaho.sh

DEBUG: Using value (/usr/local/pentaho/biserver-ce/jre) from calling script
DEBUG: _PENTAHO_JAVA_HOME=/usr/local/pentaho/biserver-ce/jre
DEBUG: _PENTAHO_JAVA=/usr/local/pentaho/biserver-ce/jre/bin/java
Using CATALINA_BASE:   /usr/local/pentaho/biserver-ce/tomcat
Using CATALINA_HOME:   /usr/local/pentaho/biserver-ce/tomcat
Using CATALINA_TMPDIR: /usr/local/pentaho/biserver-ce/tomcat/temp
Using JRE_HOME:        /usr
Using CLASSPATH:       /usr/local/pentaho/biserver-ce/tomcat/bin/bootstrap.jar:/usr/local/pentaho/biserver-ce/tomcat/bin/tomcat-juli.jar
Tomcat started.

Y luego navegando a la dirección en el navegador nos arroja el siguiente mensaje:

The following errors were detected
One or more system listeners failed. These are set in the systemListeners.xml.
   org.pentaho.platform.api.engine.PentahoSystemException: PentahoSystem.ERROR_0014 - Error while trying to execute startup sequence for org.pentaho.platform.scheduler2.quartz.EmbeddedQuartzSystemListener

Please see the server console for more details on each error detected.


El archivo dentro de bi-server ./tomcat/logs/catalina.out se llena con una cantidad importante de informacion.
Hasta ahora intentamos indagar sobre algunos errores que aparecen indicados en el catalina.out y tambien por el mensaje arriba indicado. Pero no tuvimos resultados aun.

Hay cierta información que dado el caso les resultara útil tener en cuenta:
- El servidor es un Debian 10
- En el mismo servidor instalamos Postgres 11
- En Debian 10 no pudimos obtener limpiamente la versión de java necesaria según la guía. Así que instalamos de una manera un tanto manual la siguiente versión de java:

java version "1.7.0_21"
Java(TM) SE Runtime Environment (build 1.7.0_21-b11)
Java HotSpot(TM) 64-Bit Server VM (build 23.21-b01, mixed mode)


Y apuntamos a esta versión en la variable de entorno indicada en la guía.

- Al usar Postgres 11, descargamos el driver necesario llamado: postgresql-42.2.6.jre7.jar
Y lo ubicamos en la carpeta <bi-server>/tomcat/lib/

Tal vez éste error es común y nos puedan dar una mano o una sugerencia.
Desde ya muchas gracias por su apoyo!

Páginas: [1]